#!/usr/bin/env python3

import pNbody
from matplotlib import pyplot as plt
import sys, os
from optparse import OptionParser


def parse_options():
    usage = "usage: %prog file"
    parser = OptionParser(usage=usage)

    (options, args) = parser.parse_args()
    print

    if len(args) == 0:
        print("you must specify a filename")
        sys.exit(0)

    file = args[0]

    if not os.path.exists(file):
        print("Couldn't find file", file)
        sys.exit(0)

    return file, options


if __name__ == "__main__":
    filename, options = parse_options()
    NBody = pNbody.Nbody(filename)
    x = NBody.pos[:, 0]
    y = NBody.pos[:, 1]
    z = NBody.pos[:, 2]

    fig, axes = plt.subplots(1, 3, subplot_kw={"aspect":"equal"}, figsize=(9,4))
    #  fig = plt.figure()
    #  ax1 = plt.add_subplot(131, aspect="equal")
    scatterkwargs = {"s": 1, "alpha": 0.5, "marker": ","}
    axes[0].scatter(x, y, **scatterkwargs)
    axes[0].set_xlabel("x")
    axes[0].set_ylabel("y")
    axes[1].scatter(y, z, **scatterkwargs)
    axes[1].set_xlabel("y")
    axes[1].set_ylabel("z")
    axes[2].scatter(x, z, **scatterkwargs)
    axes[2].set_xlabel("x")
    axes[2].set_ylabel("z")
    fig.suptitle(filename.replace("_", " "))

    plt.savefig(filename[:-4] + "png", dpi=200)
