#!/usr/bin/env python3

from pNbody import *
from pNbody import ic
from numpy import sqrt, pi
import numpy as np

from optparse import OptionParser


########################################
#					  
# parser				  
#					  
######################################## 


def parse_options():
    usage = "usage: %prog [options] file"
    parser = OptionParser(usage=usage)

    parser.add_option("-n",
                      action="store",
                      dest="n",
                      type="int",
                      default=100,
                      help=" number of particles",
                      metavar=" INT")

    parser.add_option("--rc",
                      action="store",
                      dest="rc",
                      type="float",
                      default=1.0,
                      help=" crittical radius",
                      metavar=" FLOAT")

    parser.add_option("--rmax",
                      action="store",
                      dest="rmax",
                      type="float",
                      default=10.0,
                      help=" max radius",
                      metavar=" FLOAT")

    parser.add_option("--eps",
                      action="store",
                      dest="eps",
                      type="float",
                      default=0.1,
                      help=" softening length",
                      metavar=" FLOAT")

    parser.add_option("-o",
                      action="store",
                      dest="outputfile",
                      type="string",
                      default='plummer.hdf5',
                      help=" output file name",
                      metavar=" FILE")

    (options, args) = parser.parse_args()

    return options


########################################  
#					  
# main				  
#					  
######################################## 

options = parse_options()

# initial positions

a = b = c = 1
M = 1.
G = 1.

rmax = 10.
nr = 256

nb = ic.plummer(options.n, a, b, c, options.rc, options.rmax, M=M, vel='yes', name=options.outputfile, ftype='gh5')

# compute velocities

rc = options.rc
r = nb.rxyz()

density =
sigma =

vx = sigma * np.random.random(nb.nbody)
vy = sigma * np.random.random(nb.nbody)
vz = sigma * np.random.random(nb.nbody)
nb.vel = np.transpose(np.array([vx, vy, vz])).astype(np.float32)

# write model
nb.write()
nb.cmcenter()
nb.cvcenter()
